# eoRealVectorBounds Class Reference

Now a derived class, for parser reading It holds some of the bounds (and destroy them when dying). More...

`#include <eoRealVectorBounds.h>`

Inheritance diagram for eoRealVectorBounds:

List of all members.

## Public Member Functions

| eoRealVectorBounds ()
| Default Ctor will call base class default ctor.
| eoRealVectorBounds (unsigned _dim, eoRealBounds &_bounds)
| Ctor: same bounds for everybody, given as an eoRealBounds.
| eoRealVectorBounds (eoRealBounds &_xbounds, eoRealBounds &_ybounds)
| Ctor, particular case of dim-2.
| eoRealVectorBounds (unsigned _dim, double _min, double _max)
| Simple bounds = minimum and maximum (allowed).
| eoRealVectorBounds (std::vector< double > _min, std::vector< double > _max)
| Ctor: different bounds for different variables, std::vectors of double.
| eoRealVectorBounds (std::string _s)
| Ctor from a std::string and don't worry, the readFrom(std::string) starts by setting everything to 0!
virtual | ~eoRealVectorBounds ()
| Dtor: destroy all ownedBounds - BUG ???
virtual void | readFrom (std::istream &_is)
| Read object from a stream only calls the readFrom(std::string) - for param reading.
virtual void | readFrom (std::string _s)
| Read object from a std::string.
virtual void | printOn (std::ostream &_os) const
| overload printOn method to save space
void | adjust_size (unsigned _dim)
| Eventually increases the size by duplicating last bound.
| eoRealVectorBounds (const eoRealVectorBounds &)
| need to rewrite copy ctor and assignement operator because of ownedBounds

## Private Member Functions

eoRealVectorBounds & | operator= (const eoRealVectorBounds &)

## Private Attributes

std::vector< unsigned int > | factor
std::vector< eoRealBounds * > | ownedBounds

## Detailed Description

Now a derived class, for parser reading It holds some of the bounds (and destroy them when dying).

Definition at line 228 of file eoRealVectorBounds.h.

## Member Function Documentation

void eoRealVectorBounds::readFrom | ( | std::istream & | _is | ) | `[virtual]`

Read object from a stream only calls the readFrom(std::string) - for param reading.

Parameters:

  | _is | A std::istream.

Implements eoPersistent.

Definition at line 65 of file eoRealBounds.cpp.

Referenced by eoRealVectorBounds().

void eoRealVectorBounds::readFrom | ( | std::string | _s | ) | `[virtual]`

Read object from a std::string.

Parameters:

  | _is | A std::istream.

Definition at line 73 of file eoRealBounds.cpp.

References adjust_size().

The documentation for this class was generated from the following files:

- eoRealVectorBounds.h
- eoRealBounds.cpp